Method for searching contacts in the Contact Book. In the search, it is possible to use operations: like, =, >, >=, <, <=.
Search is possible by the following fields:
To make contact search, send a request to this URL:
| GET http://one-api.bsg.world/api/contacts/search |
| Parameter | Required | Type | Default | Description | |
|---|---|---|---|---|---|
| page[offset] | No | int | 0 | Get contacts starting from offset | |
| page[limit] | No | int | 50 | Number of contacts in response | |
| sort | No | string | id | Sort by conditions: id, phone | |
| way | No | string | asc | Sorting options: asc, desc | |
| search[operation] | No | string | = | Operator for finding values: like, =, >, >=, <, <= | |
| search[field] | No | string | no |
Field for search. Possible values: id, phone, group_id, date, {field_id}
{field_id} – custom field ID; can be got from GET /api/contacts/fields | |
| search[value] | Value for search: | No | string | no | |
| id | Contact ID | ||||
| phone | Contact phone number. 9 to 15 digits. | ||||
| date | Contact creation date in ISO 8601 format | ||||
| {field_id} | Value specified in the contacts field |
| Parameter | Type | Description | |
|---|---|---|---|
| id | integer | Contact ID | |
| phone | integer | Contact phone number | |
| fields | Contains nested custom field parameters | ||
| created_at | datetime | Contact creation date – set automatically by the BSG system when adding a contact to the Contact Book. Format ISO 8601 yyyy-mm-dd hh:mm:ss | |
| groups – contains nested parameters of the list to which the contact is added: | |||
| id | string | ID of the contact list to which the contact is added | |
| name | string | Name of the contact list to which the contact is added | |
| description | string | Description of the contact list to which the contact is added | |
| default | boolean | Specifies whether the list is the default | |
| created_at | datetime | Date of creation/editing of the list to which the contact was added. Format ISO 8601 yyyy-mm-dd hh:mm:ss | |
| hlr_status | string | Status of checking the contact’s phone number in HLR. Possible values: barred, absent, active, unknown, failed. | |
| hlr_last_check | datetime | Date and time when the contact’s phone number was last checked in HLR. Format ISO 8601 yyyy-mm-dd hh:mm:ss |
If the request is successful, you will receive a response:
{
"data": [
{
"id": 1,
"phone": 33601148802,
"fields": [
{
"code": 0,
"text": "string"
}
],
"created_at": "2022-04-28 14:21:16",
"groups": [
{
"id": 1,
"name": "string",
"description": "string",
"default": 0,
"created_at": "2022-04-28 14:21:16"
}
],
"hlr_status": "string",
"hlr_last_check": "2022-04-28 14:21:16"
}
],
"meta": {
"page": {
"total": 1,
"limit": 50,
"offset": 0
},
"search": {
"field": 0,
"operation": "like",
"value": "string"
}
}
}